Package org.apache.lucene.codecs.simpletext

## Class SimpleTextStoredFieldsWriter

- java.lang.Object
- - org.apache.lucene.codecs.StoredFieldsWriter
  - - org.apache.lucene.codecs.simpletext.SimpleTextStoredFieldsWriter

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`, `Accountable`

      public class SimpleTextStoredFieldsWriter
      extends StoredFieldsWriter

  Writes plain-text stored fields.

  FOR RECREATIONAL USE ONLY

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.codecs.StoredFieldsWriter

      `StoredFieldsWriter.MergeVisitor`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.lucene.util.Accountable

      `NULL_ACCOUNTABLE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleTextStoredFieldsWriter​(Directory directory, String segment, IOContext context)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `void` | `finish​(int numDocs)` |
    `long` | `ramBytesUsed()` |
    `void` | `startDocument()` |
    `void` | `writeField​(FieldInfo info, double value)` |
    `void` | `writeField​(FieldInfo info, float value)` |
    `void` | `writeField​(FieldInfo info, int value)` |
    `void` | `writeField​(FieldInfo info, long value)` |
    `void` | `writeField​(FieldInfo info, String value)` |
    `void` | `writeField​(FieldInfo info, BytesRef value)` |

    - ### Methods inherited from class org.apache.lucene.codecs.StoredFieldsWriter

      `finishDocument, merge, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.util.Accountable

      `getChildResources`

- - ### Constructor Detail

    - #### SimpleTextStoredFieldsWriter

          public SimpleTextStoredFieldsWriter​(Directory directory,
                                              String segment,
                                              IOContext context)
                                       throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### startDocument

          public void startDocument()
                             throws IOException

      Specified by:
        `startDocument` in class `StoredFieldsWriter`
      Throws:
        `IOException`

    - #### writeField

          public void writeField​(FieldInfo info,
                                 int value)
                          throws IOException

      Specified by:
        `writeField` in class `StoredFieldsWriter`
      Throws:
        `IOException`

    - #### writeField

          public void writeField​(FieldInfo info,
                                 long value)
                          throws IOException

      Specified by:
        `writeField` in class `StoredFieldsWriter`
      Throws:
        `IOException`

    - #### writeField

          public void writeField​(FieldInfo info,
                                 float value)
                          throws IOException

      Specified by:
        `writeField` in class `StoredFieldsWriter`
      Throws:
        `IOException`

    - #### writeField

          public void writeField​(FieldInfo info,
                                 double value)
                          throws IOException

      Specified by:
        `writeField` in class `StoredFieldsWriter`
      Throws:
        `IOException`

    - #### writeField

          public void writeField​(FieldInfo info,
                                 BytesRef value)
                          throws IOException

      Specified by:
        `writeField` in class `StoredFieldsWriter`
      Throws:
        `IOException`

    - #### writeField

          public void writeField​(FieldInfo info,
                                 String value)
                          throws IOException

      Specified by:
        `writeField` in class `StoredFieldsWriter`
      Throws:
        `IOException`

    - #### finish

          public void finish​(int numDocs)
                      throws IOException

      Specified by:
        `finish` in class `StoredFieldsWriter`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in class `StoredFieldsWriter`
      Throws:
        `IOException`

    - #### ramBytesUsed

          public long ramBytesUsed()